### Function

# Rsvgpixbuf_from_file_at_size

#### Declaration [src]

    GdkPixbuf*
    rsvg_pixbuf_from_file_at_size (
      const gchar* filename,
      gint width,
      gint height,
      GError** error
    )

#### Description [src]

Loads a new `GdkPixbuf` from `filename` and returns it. This pixbuf is scaled from the size indicated to the new size indicated by `width` and `height`. If both of these are -1, then the default size of the image being loaded is used. The caller must assume the reference to the returned pixbuf. If an error occurred, `error` is set and `NULL` is returned.

Deprecated since: | Unknown
Use `rsvg_handle_new_from_file()` and `rsvg_handle_render_document()` instead.

#### Parameters

`filename` | `const gchar*`
| A file name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`width` | `gint`
| The new width, or -1
`height` | `gint`
| The new height, or -1
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GdkPixbuf`
| A pixbuf, or `NULL` on error.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.